Package: org.grails.buffer

## [Java] Class StreamCharBuffer.MultipartStringChunk

- org.grails.buffer.StreamCharBuffer.MultipartStringChunk

-     class StreamCharBuffer.MultipartStringChunk
      extends StringChunk

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `EncodingStatePart` | `firstPart` |
    `EncodingStatePart` | `lastPart` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultipartStringChunk (java.lang.String str)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `appendEncodingStatePart(EncodingStatePart current)`
    `` | `public void` | `encodeTo(EncodedAppender appender, Encoder encoder)`
    `` | `public void` | `encodeTo(java.io.Writer writer, EncodesToWriter encoder)`
    `` | `public boolean` | `isSingleEncoding()`
    `` | `public int` | `partCount()`

- - ### Field Detail

    - #### EncodingStatePart firstPart

    - #### EncodingStatePart lastPart

  - ### Constructor Detail

    - #### public MultipartStringChunk(java.lang.String str)

  - ### Method Detail

    - #### public void appendEncodingStatePart(EncodingStatePart current)

    - #### @java.lang.Override public void encodeTo(EncodedAppender appender, Encoder encoder)

    - #### @java.lang.Override public void encodeTo(java.io.Writer writer, EncodesToWriter encoder)

    - #### public boolean isSingleEncoding()

    - #### public int partCount()